# OnnxRuntime: Ort::detail::AllocatedFree Struct Reference

Loading...
Searching...
No Matches
Ort::detail::AllocatedFree Struct Reference

`#include <onnxruntime_cxx_api.h>`

## Public Member Functions

| AllocatedFree (OrtAllocator *allocator)
void | operator() (void *ptr) const

## Public Attributes

OrtAllocator * | allocator_

## Constructor & Destructor Documentation

## AllocatedFree()

Ort::detail::AllocatedFree::AllocatedFree | ( | OrtAllocator * | allocator | ) |

inlineexplicit

## Member Function Documentation

## operator()()

void Ort::detail::AllocatedFree::operator() | ( | void * | ptr | ) | const

inline

## Member Data Documentation

## allocator_

OrtAllocator* Ort::detail::AllocatedFree::allocator_